----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

local DF = DOF_namespace
local _
local is_prowling = 0;


function DF:GetBleedAbilityDamageCoefficient(docActive, spellid)
    
    -- nouvelle formule, ne tiens compte que du rugissement, fureur du tigre et bloodtalons
    local damageCoeff=1

    if DF:spell_exist(nil,DF.SavageRoarName,"player","HELPFUL|PLAYER",false) then  -- savage roar
    	damageCoeff=damageCoeff*1.25
    end
    if DF:spell_exist(nil,DF.TigerFuryName,"player","HELPFUL|PLAYER",false) then   -- tiger furor
    	damageCoeff=damageCoeff*1.15
    end
    if (spellid==DF.RakeName) and is_prowling then                                 -- rake when prowling
        damageCoeff=damageCoeff*2.00
    end
	  if docActive then	                                                             -- bloodtalons damage boost	
		  damageCoeff=damageCoeff*1.40
    end

    -- this is like a memory of prowling, because the prowling aura is removed immediately when rake is done.
    -- meaning, it is not possible to check for the aura anymore once rake was executed. we have to remember it from before
    -- is ugly, but probably no better solution
    is_prowling = DF:spell_exist(nil,DF.ProwlName,"player","HELPFUL|PLAYER",false) or
          DF:spell_exist(nil,DF.IncarnationName,"player","HELPFUL|PLAYER",false) 

    return damageCoeff
    
end

function DF:GetDotPower(spellid,docActive,forceCP)
   
    local bleedCoeff
    local CP = UnitPower('player', 4)
    local dotPower=0
    local bleedBase
    
    if DF.dotPowerDatas[spellid] then
	
			bleedCoeff = DF:GetBleedAbilityDamageCoefficient(docActive, spellid)
			
	    if forceCP then CP=forceCP end
	    if DF.dotPowerDatas[spellid].basecp==0 then CP=1 end
	    
	    bleedBase = (DF.dotPowerDatas[spellid].base
	                   +(DF.dotPowerDatas[spellid].basecp * CP))
	                   +((DF.dotPowerDatas[spellid].baseap * DF.playerAP) * CP)
	    
	    dotPower = bleedCoeff * bleedBase

	  end
	  
    return dotPower
    
end

function DF:GetAbiPower(spellid)
	local targetID=UnitGUID("playertarget")
	if targetID and DF.abiPowers[targetID] and DF.abiPowers[targetID][spellid] then
		return DF.abiPowers[targetID][spellid]
	else
		return nil
	end
end

