----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Mic�h - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

-- namespace
local DF = DOF_namespace
local _
DF.dotPowerDatas={}

-- spell names
DF.SavageRoarName, _, _, _, _, _ = GetSpellInfo(52610) 
DF.ProwlName, _, _, _, _, _ = GetSpellInfo(5215) 
DF.TigerFuryName, _, _, _, _, _ = GetSpellInfo(5217) 
DF.BloodTalonsName, _, _, _, _, _ = GetSpellInfo(155672) 
DF.BerzerkName, _, _, _, _, _ = GetSpellInfo(106951) 
DF.IncarnationName, _, _, _, _, _ = GetSpellInfo(102543) 
DF.RakeName, _, _, _, _, _ = GetSpellInfo(1822) 
DF.AshamanesFrenzyName, _, _, _, _, _ = GetSpellInfo(210722) 
DF.MoonfireName, _, _, _, _, _ = GetSpellInfo(164812) 
DF.SunfireName, _, _, _, _, _ = GetSpellInfo(164815) 
DF.MoonfireCatName, _, _, _, _, _ = GetSpellInfo(155625) 
DF.RakeDebufName, _, _, _, _, _ = GetSpellInfo(155722) 
DF.RipName, _, _, _, _, _ = GetSpellInfo(1079) 
DF.ThrashName, _, _, _, _, _ = GetSpellInfo(106830) 

-- combo point builder spells
DF_builders={}
DF_builders[5221] = true -- Shred
DF_builders[1822] = true -- Rake
DF_builders[210722] = true -- ashamane's frenzy
DF_builders[106785] = true -- swipe
DF_builders[155625] = true -- Moonfire

-- finisher spells
DF_finishers={}
DF_finishers[52610] = true -- rugissement sauvage
DF_finishers[1079] = true -- d�chirure
DF_finishers[22568] = true -- morsure f�roce
DF_finishers[22570] = true -- estropier

-- Use dot power tracking (feral snapshotting) on these spells
DF_powerId={}
DF_powerId[1079] = 1079       -- rip spell and debuff
DF_powerId[106830] = 106830   -- trash spell and debuff
DF_powerId[155722] = 155722   -- rake debuff
DF_powerId[210723] = 210723   -- ashamanes frenzy debuff

-- Adds spells or objects to the spell selection listbox. Useful, if several IDs are for the same spell
-- ltype 1 for spells, ltype 2 for objects
DF.spellsListspecial ={
  {["texte"]=210722,["valeur"]="210722;210723",["alttexte"]="Ashamane's Frenzy",["ltype"]=1},
  {["texte"]=1822,["valeur"]="1822;155722",["alttexte"]="Rake for Cat",["ltype"]=1},
  {["texte"]=106830,["valeur"]="106830",["alttexte"]="Trash for Cat",["ltype"]=1},
  {["texte"]=106832,["valeur"]="106832",["alttexte"]="Trash for Bear",["ltype"]=1},
}

-- specify default durations for special spells
function DF:SetSpecialDefaultDurations()

  local _, _, _, hasJaggedWounds, _, _, _, _, _ = GetTalentInfo(6,2,GetActiveSpecGroup())
  DF:setDefautDuration(DF.RipName,hasJaggedWounds and 16.08 or 24)
  DF:setDefautDuration(DF.RakeName,hasJaggedWounds and 10.05 or 15)
  DF:setDefautDuration(DF.ThrashName,hasJaggedWounds and 10.05 or 15)
    
  DF:setDefautDuration(DF.SavageRoarName,24) 
  DF:setDefautDuration(DF.MoonfireName,22)
  DF:setDefautDuration(DF.SunfireName,18)
  DF:setDefautDuration(DF.MoonfireCatName,14)
 end
 
 -- Adds more IDs to a certain spell; semicolon separated list
 function DF:AddSpecialSpellIDs(i)    
    DF:SetupGoodSpellsID(i,"210722","210723") -- ashamane's frenzy
    DF:SetupGoodSpellsID(i,"1822","155722") -- Rake
 end
 
-- Define damage data for all spells that use dot power
DF.dotPowerDatas[DF.RakeDebufName]={
  base=99,        --  base damage
  baseap=0.30665, --  damage give by power attack
  basecp=0,       --  base damage per combo point (if spell use combo point, else zero)
}
DF.dotPowerDatas[DF.RipName]={
  base=112.76,
  baseap=0.0484,
  basecp=320,
}
DF.dotPowerDatas[DF.ThrashName]={
  base=686,
  baseap=0.0936,
  basecp=0,
}
DF.dotPowerDatas[DF.AshamanesFrenzyName]={
  base=686,       -- TODO ??
  baseap=0.0936,  -- TODO ??
  basecp=0,
}
 